/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import javax.swing.table.*; //JTable

public class FindStringResultDialog extends JDialog
{
  JScrollPane scrollPane = null;
  JPanel panel = new JPanel();

  public FindStringResultDialog(FindReplaceStringDialog owner, String title, boolean modal)
  {
    super(owner, title, modal);
    Container contentPane = getContentPane();
    scrollPane = new JScrollPane(panel, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    contentPane.add(scrollPane);
  }

  public void showFor(LinkedList listOfStringLocations)
  {
     int size = listOfStringLocations.size();
     if (size == 0) return;

     panel.setLayout(new GridLayout(size,1));
     Iterator it = listOfStringLocations.iterator();
     while(it.hasNext())
     {
        StringLocation stringLocation = (StringLocation) it.next();
        panel.add(stringLocation);
        stringLocation.addActionListener(
          new ActionListener()
          {
            public void actionPerformed(ActionEvent e)
            {
              ((StringLocation) e.getSource()).fetch();
            }
          }
        );
     }

     Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
     pack();
     Dimension mySize = this.getSize();
     this.setLocation((int) (screenSize.getWidth()-mySize.getWidth())/2,
                      (int) (screenSize.getHeight()-mySize.getHeight())/2
                     );
     setVisible(true);
  }
}